{% extends 'quotes/base.html' %}
{% block content %}

{% if ticker %}
    {{ ticker }}
{% endif %}

{% if api %}
    {% if api == "Error" %}
        There was a problem with your ticker symbol. Please, try again.
    {% else %}
        <h1>{{ api.0.companyName }}</h1><br/>
        Price: ${{ api.0.latestPrice }}<br/>
        Previous Close: ${{ api.0.previousClose }}<br/>
        Market Cap: ${{ api.0.marketCap }}<br/>
        YTD change: {{ api.0.ytdChange }}<br/>
        52 week High: ${{ api.0.week52High }}<br/>
        52 week Low: ${{ api.0.week52Low }}<br/>
    {% endif %}
{% else %}

{% endif %}

{% endblock %}